Skip to main content

Search Loyalty Account

GET 

/client/partners/:partner_id/accounts/links

Returns the loyalty account id and link status based on an email address or loyaltyId or partnerLinkIds passed in. Up to 25 individual emails and/or loyaltyIds or partnerLinkIds can be searched at once.

Note that "linkStatus": "CAN_LINK" is dependent on "status": true in the partner configuration; likewise, the "balance" object and its attributes being displayed depends on "balance": true in the partner configuration.

X-Identifier-Type

Possible Values

  • LOYALTY_ID (Default if not provided)

  • PARTNER_LINK_ID

  • EMAIL

Request

Path Parameters

  • PartnerId - {{partner_id}}

Query Parameters

  • Email address - {{email_id}}

  • Card # - {{loyalty_id}}

  • partner link ID - {{partnerLinkId}}

Response

AttributeDefinitionFormatNotes
searchResultsArray of search results.Array
requestParameterThe original search parameter that was matched to this result.StringThis is the loyalty_id, the unique identifier on the account. Note that this is returned only if the linkStatus is "CAN_LINK" or "GHOST".
accountIdReturn unique identifier of accountString
accountStatusReturns status of accountEnum: "ACTIVE" or "INVALID"ACTIVE = active or unregistered
INVALID = everything else
loyaltyIdReturns unique loyalty identification numberNumber
linkStatusThe current status of whether the account can be found and linked.Enum: "INVALID", "CAN_LINK", or "GHOST"INVALID = not found or cannot be linked
CAN_LINK = found and can be linked
GHOST = account exists but cannot be linked due to account status
balanceShows account balance information.ObjectOnly shown if enabled in the partner configuration. Includes points and dollar balance information and min/max redemption limits. Includes from pointsBalance to userMaxRedeemDollars below.
pointsBalanceThe member's current point balance.Number
dollarBalanceThe member's current dollar balance.Number
availablePointBalanceThe current number of points available to the member for redemption.Number
availableDollarBalanceThe current number of dollars available to the member for redemption.Number
userMinRedeemPointsThe minimum number of points the member can redeem.Number
userMinRedeemDollarsThe minimum number of dollars the member can redeem.Number
userMaxRedeemPointsThe maximum number of points the member can redeem.Number
userMaxRedeemDollarsThe maximum number of dollars the member can redeem.Number
householdContains data about household related to loyalty account.ObjectContains objects and attributes below from id to balance
idUnique identifier for the household.String
roleRole of the member within the household.Enum: "PRIMARY" or "SECONDARY"First member who sent household invitations is "PRIMARY", all others are "SECONDARY"
balanceObject containing all relevant household balance data.ObjectContains attributes below from totalPointBalance to maxRedeemDollars
totalPointBalanceTotal point balance for the household.Number
totalDollarBalanceTotal dollar balance for the household.Number
totalAvailablePointBalanceTotal balance of available points.Number
totalAvailableDollarBalanceTotal balance of available dollars.Number
totalRedeemablePointBalanceTotal balance of redeemable points.Number
totalRedeemableDollarBalanceTotal balance of redeemable dollars.Number
minRedeemPointsMinimum number of points that can be redeemed.Number
maxRedeemPointsMaximum number of points that can be redeemed.Number
minRedeemDollarsMinimum number of dollars that can be redeemed.Number
maxRedeemDollarsMaximum number of dollars that can be redeemed.Number

Error Responses

statusCodeerrorMessageerrorCodeDefinition
404 Not FoundPartner {{partner_id}} cannot be found.INVALID_PARTNER_IDThe partner_id does not have a valid value.

Request

Responses

200 - Searched by loyaltyId (Can Link)